> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get index tickers

GET https://www.okx.com/api/v5/market/index-tickers

Retrieve index tickers, including index price and 24-hour high/low/open for spot indices.

Reference: https://okx-demo.ferndocs.com/api/api-reference/market/get-index-tickers

## Request

### Query parameters

- `quoteCcy` (string, optional) — Quote currency. Currently supports USD, USDT, BTC, USDC. Either quoteCcy or instId is required.
- `instId` (string, optional) — Index, e.g. BTC-USDT.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5MarketIndexTickersGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5MarketIndexTickersGetResponsesContentApplicationJsonSchemaDataItems

- `instId` (string, optional) — Index, e.g. BTC-USDT.
- `idxPx` (string, optional) — Latest index price.
- `high24h` (string, optional) — Highest index price in the past 24 hours.
- `low24h` (string, optional) — Lowest index price in the past 24 hours.
- `open24h` (string, optional) — Open index price in the past 24 hours.
- `sodUtc0` (string, optional) — Open price in the UTC 0 timezone.
- `sodUtc8` (string, optional) — Open price in the UTC+8 timezone.
- `ts` (string, optional) — Index price update time, Unix timestamp in milliseconds.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "instId": "BTC-USDT",
      "idxPx": "43350",
      "high24h": "43649.7",
      "low24h": "43261.9",
      "open24h": "43640.8",
      "sodUtc0": "43444.1",
      "sodUtc8": "43328.7",
      "ts": "1649419644492"
    }
  ]
}
```

**SDK Code**

```python market_getIndexTickers_example
import requests

url = "https://www.okx.com/api/v5/market/index-tickers"

response = requests.get(url)

print(response.json())
```

```javascript market_getIndexTickers_example
const url = 'https://www.okx.com/api/v5/market/index-tickers';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go market_getIndexTickers_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/market/index-tickers"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby market_getIndexTickers_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/market/index-tickers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java market_getIndexTickers_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/market/index-tickers")
  .asString();
```

```php market_getIndexTickers_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/market/index-tickers');

echo $response->getBody();
```

```csharp market_getIndexTickers_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/market/index-tickers");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift market_getIndexTickers_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/market/index-tickers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```